<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_66) on Mon Nov 23 18:11:11 CET 2015 -->
<title>SalesInvoice (QA API)</title>
<meta name="date" content="2015-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SalesInvoice (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/ReturnFromCustomer.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.ExchangeRates.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html" target="_top">Frames</a></li>
<li><a href="SalesInvoice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.testscripts.sales.transactions</div>
<h2 title="Class SalesInvoice" class="title">Class SalesInvoice</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">com.openbravo.test.integration.erp.testscripts.SmokeTabScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>,<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceHeaderTab</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.testscripts.sales.transactions.SalesInvoice</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceWindow.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceWindow</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SalesInvoice</span>
extends <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>,<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceHeaderTab</a>&gt;
implements <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceWindow.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceWindow</a>&gt;</pre>
<div class="block">Executes and verifies actions on the Sales Invoice window.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.ExchangeRates.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice.ExchangeRates</a></span></code>
<div class="block">Executes and verifies actions on the Sales Invoice Exchange rates tab.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.Lines.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice.Lines</a></span></code>
<div class="block">Executes and verifies actions on the Sales Invoice Lines tab.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.PaymentInPlan.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice.PaymentInPlan</a></span></code>
<div class="block">Executes and verifies actions on the Payment In Plan tab.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#mainPage">mainPage</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#SalesInvoice-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">SalesInvoice</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#addPayment-java.lang.String-java.lang.String-">addPayment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;payment,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</code>
<div class="block">Add a payment and process it.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertAddPaymentDisplayLogicEnabled-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicEnabled</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;enabledDisplayLogic)</code>
<div class="block">Assert display logic enable status from AddPayment Popup</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertAddPaymentDisplayLogicExpanded-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicExpanded</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;expandedDisplayLogic)</code>
<div class="block">Assert display logic expanded status from AddPayment Popup</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertAddPaymentDisplayLogicVisible-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicVisible</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;visibleDisplayLogic)</code>
<div class="block">Assert display logic visibility from AddPayment Popup</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertAddPaymentInData-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentPopUpData-">assertAddPaymentInData</a></span>(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentPopUpData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentPopUpData</a>&nbsp;data)</code>
<div class="block">Assert the data displayed in the add payment in pop up.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertPaymentCreatedSuccessfully--">assertPaymentCreatedSuccessfully</a></span>()</code>
<div class="block">Assert that the payment creation completed successfully.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertPaymentCreatedSuccessfully2--">assertPaymentCreatedSuccessfully2</a></span>()</code>
<div class="block">Assert that the payment creation completed successfully.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertPeriodDoesNotExistOrItIsNotOpened--">assertPeriodDoesNotExistOrItIsNotOpened</a></span>()</code>
<div class="block">Assert that The Period does not exist or it is not opened.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#assertRefundedPaymentCreatedSuccessfully--">assertRefundedPaymentCreatedSuccessfully</a></span>()</code>
<div class="block">Assert that the refunded payment creation completed successfully.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#complete--">complete</a></span>()</code>
<div class="block">Complete the order.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#createLinesFrom-java.lang.String-">createLinesFrom</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;order)</code>
<div class="block">Create sales invoice lines from order.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#isPosted--">isPosted</a></span>()</code>
<div class="block">Check if the sales invoice is already posted.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#open--">open</a></span>()</code>
<div class="block">Open the Sales Invoice window.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">AddPaymentProcess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#openAddPayment--">openAddPayment</a></span>()</code>
<div class="block">Open Add Payment pop</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#post--">post</a></span>()</code>
<div class="block">Post the sales invoice.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceHeaderTab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#selectTab--">selectTab</a></span>()</code>
<div class="block">Select and return the Header tab.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html#unpost--">unpost</a></span>()</code>
<div class="block">Unpost the sales invoice.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.<a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a></h3>
<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertCount-int-">assertCount</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertData-D-">assertData</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicEnabled</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicExpanded</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicVisible</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#assertSaved--">assertSaved</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#cancelOnGrid--">cancelOnGrid</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#closeForm--">closeForm</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#create-D-">create</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#edit-D-">edit</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#filter-D-">filter</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData--">getData</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getData-java.lang.String-">getData</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getRecordCount--">getRecordCount</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#getTab--">getTab</a>, <a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#select-D-">select</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SalesInvoice-com.openbravo.test.integration.erp.modules.client.application.gui.MainPage-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SalesInvoice</h4>
<pre>public&nbsp;SalesInvoice(<a href="../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/MainPage.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">MainPage</a>&nbsp;mainPage)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainPage</code> - The application main page.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions">SalesInvoice</a>&nbsp;open()</pre>
<div class="block">Open the Sales Invoice window.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html#open--">open</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeWindowScript.html" title="interface in com.openbravo.test.integration.erp.testscripts">SmokeWindowScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceWindow.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceWindow</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>this Sales Invoice script.</dd>
</dl>
</li>
</ul>
<a name="selectTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectTab</h4>
<pre>protected&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceHeaderTab</a>&nbsp;selectTab()</pre>
<div class="block">Select and return the Header tab.
 
 Before this, the Sales Invoice window must be opened.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html#selectTab--">selectTab</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/SmokeTabScript.html" title="class in com.openbravo.test.integration.erp.testscripts">SmokeTabScript</a>&lt;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/sales/transactions/salesinvoice/SalesInvoiceHeaderData.html" title="class in com.openbravo.test.integration.erp.data.sales.transactions.salesinvoice">SalesInvoiceHeaderData</a>,<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/sales/transactions/salesinvoice/SalesInvoiceHeaderTab.html" title="class in com.openbravo.test.integration.erp.gui.sales.transactions.salesinvoice">SalesInvoiceHeaderTab</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Header tab GUI object.</dd>
</dl>
</li>
</ul>
<a name="createLinesFrom-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createLinesFrom</h4>
<pre>public&nbsp;void&nbsp;createLinesFrom(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;order)</pre>
<div class="block">Create sales invoice lines from order.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>order</code> - The order data. This is a string with the form: number - date - amount.</dd>
</dl>
</li>
</ul>
<a name="complete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>complete</h4>
<pre>public&nbsp;void&nbsp;complete()</pre>
<div class="block">Complete the order.</div>
</li>
</ul>
<a name="assertAddPaymentInData-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentPopUpData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentInData</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentInData(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentPopUpData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentPopUpData</a>&nbsp;data)</pre>
<div class="block">Assert the data displayed in the add payment in pop up.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - The data of the payment.</dd>
</dl>
</li>
</ul>
<a name="addPayment-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPayment</h4>
<pre>public&nbsp;void&nbsp;addPayment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;payment,
                       <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</pre>
<div class="block">Add a payment and process it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>payment</code> - The payment amount.</dd>
<dd><code>action</code> - The process action to request after the payment.</dd>
</dl>
</li>
</ul>
<a name="openAddPayment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openAddPayment</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">AddPaymentProcess</a>&nbsp;openAddPayment()</pre>
<div class="block">Open Add Payment pop</div>
</li>
</ul>
<a name="isPosted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPosted</h4>
<pre>public&nbsp;boolean&nbsp;isPosted()</pre>
<div class="block">Check if the sales invoice is already posted.</div>
</li>
</ul>
<a name="post--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>post</h4>
<pre>public&nbsp;void&nbsp;post()</pre>
<div class="block">Post the sales invoice.</div>
</li>
</ul>
<a name="unpost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unpost</h4>
<pre>public&nbsp;void&nbsp;unpost()</pre>
<div class="block">Unpost the sales invoice.</div>
</li>
</ul>
<a name="assertPaymentCreatedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertPaymentCreatedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertPaymentCreatedSuccessfully()</pre>
<div class="block">Assert that the payment creation completed successfully.</div>
</li>
</ul>
<a name="assertPaymentCreatedSuccessfully2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertPaymentCreatedSuccessfully2</h4>
<pre>public&nbsp;void&nbsp;assertPaymentCreatedSuccessfully2()</pre>
<div class="block">Assert that the payment creation completed successfully.</div>
</li>
</ul>
<a name="assertRefundedPaymentCreatedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertRefundedPaymentCreatedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertRefundedPaymentCreatedSuccessfully()</pre>
<div class="block">Assert that the refunded payment creation completed successfully.</div>
</li>
</ul>
<a name="assertPeriodDoesNotExistOrItIsNotOpened--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertPeriodDoesNotExistOrItIsNotOpened</h4>
<pre>public&nbsp;void&nbsp;assertPeriodDoesNotExistOrItIsNotOpened()</pre>
<div class="block">Assert that The Period does not exist or it is not opened.</div>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicVisible-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicVisible</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicVisible(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;visibleDisplayLogic)</pre>
<div class="block">Assert display logic visibility from AddPayment Popup</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visibleDisplayLogic</code> - The AddPaymentDisplayLogic with the fields whose visibility has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicEnabled-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicEnabled</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicEnabled(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;enabledDisplayLogic)</pre>
<div class="block">Assert display logic enable status from AddPayment Popup</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabledDisplayLogic</code> - DataOject with the fields whose enable status has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicExpanded-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicExpanded</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicExpanded(<a href="../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;expandedDisplayLogic)</pre>
<div class="block">Assert display logic expanded status from AddPayment Popup</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expandedDisplayLogic</code> - DataOject with the fields whose expanded status has to be asserted.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/ReturnFromCustomer.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.ExchangeRates.html" title="class in com.openbravo.test.integration.erp.testscripts.sales.transactions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/testscripts/sales/transactions/SalesInvoice.html" target="_top">Frames</a></li>
<li><a href="SalesInvoice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.SmokeTabScript">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
